Page MenuHomePhabricator

[Epic] Onwiki mirroring for course activity
Closed, ResolvedPublic

Description

This is already a feature of the dashboard, but we've disabled it because too many assumptions will not work in our environment. First, wikitext templates come from the wiki itself, so without stable names and parameters for these templates we cannot do anything. These templates could be provided in the dashboard itself, which might make translation simpler. We'll want to define exactly what is mirrored.

Event Timeline

awight created this task.Feb 27 2016, 8:01 AM
Restricted Application added subscribers: StudiesWorld, Base, Aklapper. · View Herald TranscriptFeb 27 2016, 8:01 AM

I suggest that this on-wiki mirroring be enabled on a wiki-by-wiki basis, so that we know there are users paying attention on that wiki and can report when things don't go as expected, and also local templates can be created that match up with local needs, and the dashboard can be configured with the proper pseudo namespace for posting course page mirrors, and features like sandbox templates, user page templates, and article talk templates, can be enabled or disabled on a wiki-by-wiki basis.

The first step should probably be to enable it for en.wiki on outreachdashboard.wmflabs.org and make sure that the dashboard will only post for en.wiki.

DStrine removed a subscriber: awight.Oct 31 2016, 2:15 PM
Pharos added a subscriber: Pharos.Nov 8 2016, 6:43 PM
Ragesoss closed this task as Resolved.Apr 23 2019, 10:07 PM
Ragesoss claimed this task.